# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libqt4-devel
# END SourceDeps(oneline)
%global rctag rc5

Name:		guitone
Version:	1.0
Release:	alt1_0.5%{?rctag:.%rctag}

Summary:	A frontend for Monotone
Group:		Development/Tools
License:	GPLv3+

URL:		http://guitone.thomaskeller.biz/
Source:		%{url}releases/%{version}%{?rctag:%rctag}/%{name}-%{version}%{?rctag:%rctag}.tgz

# License is GPLv3+.  This forces us to build against qt >= 4.3.4.
BuildRequires:	qt4-devel >= 4.3.4
BuildRequires:	desktop-file-utils
Requires:	monotone >= 0.99.1
Source44: import.info



%description 
Guitone is a Qt-based, cross-platform graphical user interface for the
distributed version control system monotone. It aims towards a full
implementation of the monotone automation interface and is especially
targeted at beginners. 

Functionality provided by guitone:

* Browse a loaded workspace, filter by file states
* Display attributes of selected files
* Open files in the system's default viewer on double-click
* Show file differences for single and multiple files
* List keys from the loaded database and generate new keys
* Checkout, export and commit revisions
* Query recent revisions from a loaded database

and much more.


%prep
%setup -q -n %{name}-%{version}%{?rctag:%rctag}


cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Guitone
Comment=Frontend for Monotone
Exec=guitone
Icon=guitone
Terminal=false
Type=Application
Categories=Application;Development;
EOF


%build
qmake-qt4 LRELEASE=lrelease-qt4 -config release guitone.pro
make %{?_smp_mflags}


%install
install -m 755 -D -p bin/guitone %{buildroot}%{_bindir}/guitone
install -m 644 -D -p res/icons/guitone.png %{buildroot}%{_datadir}/pixmaps/guitone.png

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --vendor="" \
  %{name}.desktop


# the tests subdir currently contains only a stub of a testsuite, and
# upstream told us not to use it yet, so no 'check' section.


%files
%doc COPYING NEWS README README.driver
%{_bindir}/guitone
%{_datadir}/pixmaps/guitone.png
%{_datadir}/applications/guitone.desktop


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.5.rc5
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.4.rc5
- initial fc import

